#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  KDDockWidgets-2.4.0

- Next

  KMix-25.12.2

- Up
- Home

# kdenlive-25.12.2

## Introduction to Kdenlive

The Kdenlive package is a KDE Frameworks-based video editor that can handle numerous video and audio codecs.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/kdenlive-25.12.2.tar.xz

- Download MD5 sum: b3f4d4bf3d0d855f75238b5dd8122742

- Download size: 14 MB

- Estimated disk space required: 624 MB

- Estimated build time: 3.1 SBU (using parallelism=4)

### Kdenlive Dependencies

#### Required

git-2.53.0, KDDockWidgets-2.4.0, KDE Frameworks-6.23.0, MLT-7.38.0, and v4l-utils-1.32.0 (runtime)

#### Recommended

breeze-icons-6.23.0

#### Optional

LADSPA-SDK, Noise-Suppression, and OpenTimelineIO

### Note

An Internet connection is needed for building this package. The system certificate store may need to be set up with make-ca-1.16.1 before building this package.

## Installation of Kdenlive

Install Kdenlive by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -D FETCH_OTIO=ON                    \
          -W no-dev .. &&
    make

### Note

The build process will download a Git repository of OpenTimelineIO, totaling around 100 MB. Configuration will seem to hang right after cmake begins running. This is normal, it is fetching that Git repository. If it hangs for a while, it's most likely due to a poor download speed during the download process. The `-D FETCH_OTIO` CMake option should be omitted if you have installed the OpenTimelineIO package.

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kdenlive and kdenlive_render
Installed Libraries: mltpreview.so
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/kdenlive and $KF6_PREFIX/share/kdenlive

### Short Descriptions

kdenlive | is an open source non-linear video editor which supports numerous audio and video codecs
kdenlive_render | is a render program for kdenlive

- Prev

  KDDockWidgets-2.4.0

- Next

  KMix-25.12.2

- Up
- Home